Name:          libqalculate
Version:       3.12.1
Release:       1mamba
Summary:       Multi-purpose calculator library 
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://qalculate.sourceforge.net/
Source:        https://github.com/Qalculate/libqalculate.git/v%{version}/libqalculate-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: cln-devel
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libgmp-devel
BuildRequires: liblzma-devel
BuildRequires: libncurses-devel
BuildRequires: libpcre-devel
BuildRequires: libreadline-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This library underpins the Qalculate! multi-purpose desktop calculator for GNU/Linux.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
This library underpins the Qalculate! multi-purpose desktop calculator for GNU/Linux.

This package contains static libraries and header files need for development.

%package -n qalculate
Group:         Applications/Scientific
Summary:       Multi-purpose calculator, text mode interface
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n qalculate
Qalculate! is a multi-purpose desktop calculator for GNU/Linux.
It is small and simple to use but with much power and versatility underneath.
Features include customizable functions, units, arbitrary precision, plotting.
This package provides the text-mode interface for Qalculate!

%prep
%setup -q
./autogen.sh

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_libdir}/libqalculate.so.*
%dir %{_datadir}/qalculate
%{_datadir}/qalculate/*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/libqalculate/*.h
%{_libdir}/libqalculate.a
%{_libdir}/libqalculate.la
%{_libdir}/libqalculate.so
%{_libdir}/pkgconfig/libqalculate.pc
%dir %{_docdir}/%{name}
%dir %{_docdir}/%{name}/reference
%{_docdir}/%{name}/reference/*
#%doc ChangeLog NEWS README README.translate TODO

%files -n qalculate
%defattr(-,root,root)
%{_bindir}/qalc
%{_mandir}/man1/qalc.1*

%changelog
* Wed Aug 05 2020 Automatic Build System <autodist@mambasoft.it> 3.12.1-1mamba
- automatic version update by autodist

* Tue Jul 28 2020 Automatic Build System <autodist@mambasoft.it> 3.12.0-1mamba
- automatic version update by autodist

* Wed Jun 24 2020 Automatic Build System <autodist@mambasoft.it> 3.11.0-1mamba
- automatic version update by autodist

* Mon May 11 2020 Automatic Build System <autodist@mambasoft.it> 3.10.0-1mamba
- automatic version update by autodist

* Fri Apr 17 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 3.9.0a-1mamba
- update to 3.9.0a

* Tue Apr 14 2020 Automatic Build System <autodist@mambasoft.it> 3.9.0-1mamba
- automatic version update by autodist

* Tue Mar 03 2020 Automatic Build System <autodist@mambasoft.it> 3.8.0-1mamba
- automatic version update by autodist

* Tue Jan 21 2020 Automatic Build System <autodist@mambasoft.it> 3.7.0-1mamba
- automatic version update by autodist

* Mon Nov 25 2019 Automatic Build System <autodist@mambasoft.it> 3.6.0-1mamba
- automatic version update by autodist

* Wed Oct 23 2019 Automatic Build System <autodist@mambasoft.it> 3.5.0-1mamba
- automatic version update by autodist

* Tue Sep 17 2019 Automatic Build System <autodist@mambasoft.it> 3.4.0-1mamba
- automatic version update by autodist

* Wed Jul 31 2019 Automatic Build System <autodist@mambasoft.it> 3.3.0-1mamba
- automatic version update by autodist

* Tue May 28 2019 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- automatic version update by autodist

* Sun Apr 21 2019 Automatic Build System <autodist@mambasoft.it> 3.1.0-1mamba
- automatic version update by autodist

* Tue Mar 19 2019 Automatic Build System <autodist@mambasoft.it> 3.0.0-1mamba
- automatic version update by autodist

* Mon Feb 11 2019 Automatic Build System <autodist@mambasoft.it> 2.9.0-1mamba
- automatic version update by autodist

* Tue Dec 04 2018 Automatic Build System <autodist@mambasoft.it> 2.8.2-1mamba
- automatic version update by autodist

* Mon Nov 12 2018 Automatic Build System <autodist@mambasoft.it> 2.8.1-1mamba
- automatic version update by autodist

* Tue Oct 30 2018 Automatic Build System <autodist@mambasoft.it> 2.8.0-1mamba
- automatic version update by autodist

* Sun Aug 19 2018 Automatic Build System <autodist@mambasoft.it> 2.6.2-1mamba
- automatic version update by autodist

* Mon Jul 09 2018 Automatic Build System <autodist@mambasoft.it> 2.6.1-1mamba
- automatic version update by autodist

* Tue May 15 2018 Automatic Build System <autodist@mambasoft.it> 2.5.0-1mamba
- automatic version update by autodist

* Wed Apr 11 2018 Automatic Build System <autodist@mambasoft.it> 2.4.0-1mamba
- automatic version update by autodist

* Sun Apr 01 2018 Automatic Build System <autodist@mambasoft.it> 2.3.0-1mamba
- automatic version update by autodist

* Wed Jan 17 2018 Automatic Build System <autodist@mambasoft.it> 2.2.1-1mamba
- automatic version update by autodist

* Thu Dec 21 2017 Automatic Build System <autodist@mambasoft.it> 2.2.0-1mamba
- automatic version update by autodist

* Fri Oct 06 2017 Automatic Build System <autodist@mambasoft.it> 2.1.0-1mamba
- automatic version update by autodist

* Tue Aug 29 2017 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Mon Aug 14 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.12-1mamba
- update to 0.9.12

* Sun Mar 12 2017 Automatic Build System <autodist@mambasoft.it> 0.9.11-1mamba
- automatic version update by autodist

* Sun Sep 04 2016 Automatic Build System <autodist@mambasoft.it> 0.9.10-1mamba
- automatic version update by autodist

* Sun Jul 31 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.9-1mamba
- update to 0.9.9

* Sun Dec 20 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.7-3mamba
- rebuilt with gcc 5.3.0

* Sun May 22 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.9.7-2mamba
- install datadir in main package instead of devel because xml files are used at runtime by the library

* Sat Aug 14 2010 Davide Madrisan <davide.madrisan@gmail.com> 0.9.7-1mamba
- package created by autospec
